Subject: Re: [PATCH] tcp FRTO: in-order-only "TCP proxy" fragility workaround

From: Dâniel Fraga <[email-masked]>
Date: Mon, 22 Sep 2008 01:23:38 -0300

On Fri, 19 Sep 2008 00:04:23 +0300 (EEST)
"Ilpo Järvinen" <[email-masked]> wrote:

> Anyway, if/when you succeed collecting some strace of the server 
> processes, please let me know (though putting a full one available might 
> not be wise thing like I said earlier). After I thought it a bit, it might 
> be enough the start the strace with -p for all server processes of a 
> service during a stall and then resolve it after some amount of waiting 
> with nmap (and hope that strace doesn't resolve it by interfering 
> something relevant :-), you will see that from the fact that it resolves 
> without nmap then). That would probably reveal if the processes where 
> waiting in accept() or not, and if not, where they were.

	Hi again Ilpo, I waited the whole day for a stall, and
fortunatelly it happened while I was stracing dovecot and child
processes. The stall happened at 01:11 (at the end). I hope that it
has something useful.

http://www.abusar.org/strace/dovecot.txt.bz2

	I then nmap'ed the server and killed strace.

	I used the following:

strace -t -p 2315 -f -e trace=accept,listen,close,shutdown,select -o dovecot.txt

-- 
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html